Open CASCADE Technology: HLRAlgo_Array1OfPISeg Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
HLRAlgo_Array1OfPISeg Class Reference

`#include <HLRAlgo_Array1OfPISeg.hxx>`

## Public Member Functions
| HLRAlgo_Array1OfPISeg (const Standard_Integer Low, const Standard_Integer Up)
| HLRAlgo_Array1OfPISeg (const HLRAlgo_PolyInternalSegment &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const HLRAlgo_PolyInternalSegment &V)
void | Destroy ()
| ~HLRAlgo_Array1OfPISeg ()
Standard_Boolean | IsAllocated () const
const HLRAlgo_Array1OfPISeg & | Assign (const HLRAlgo_Array1OfPISeg &Other)
const HLRAlgo_Array1OfPISeg & | operator= (const HLRAlgo_Array1OfPISeg &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const HLRAlgo_PolyInternalSegment &Value)
const HLRAlgo_PolyInternalSegment & | Value (const Standard_Integer Index) const
const HLRAlgo_PolyInternalSegment & | operator() (const Standard_Integer Index) const
HLRAlgo_PolyInternalSegment & | ChangeValue (const Standard_Integer Index)
HLRAlgo_PolyInternalSegment & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

HLRAlgo_Array1OfPISeg::HLRAlgo_Array1OfPISeg | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

HLRAlgo_Array1OfPISeg::HLRAlgo_Array1OfPISeg | ( | const HLRAlgo_PolyInternalSegment & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

HLRAlgo_Array1OfPISeg::~HLRAlgo_Array1OfPISeg | ( |  | ) |
| inline

## Member Function Documentation

const HLRAlgo_Array1OfPISeg& HLRAlgo_Array1OfPISeg::Assign | ( | const HLRAlgo_Array1OfPISeg & | Other | ) |

HLRAlgo_PolyInternalSegment& HLRAlgo_Array1OfPISeg::ChangeValue | ( | const Standard_Integer | Index | ) |

void HLRAlgo_Array1OfPISeg::Destroy | ( |  | ) |

void HLRAlgo_Array1OfPISeg::Init | ( | const HLRAlgo_PolyInternalSegment & | V | ) |

Standard_Boolean HLRAlgo_Array1OfPISeg::IsAllocated | ( |  | ) | const

Standard_Integer HLRAlgo_Array1OfPISeg::Length | ( |  | ) | const

Standard_Integer HLRAlgo_Array1OfPISeg::Lower | ( |  | ) | const

const HLRAlgo_PolyInternalSegment& HLRAlgo_Array1OfPISeg::operator() | ( | const Standard_Integer | Index | ) | const
| inline

HLRAlgo_PolyInternalSegment& HLRAlgo_Array1OfPISeg::operator() | ( | const Standard_Integer | Index | ) |
| inline

const HLRAlgo_Array1OfPISeg& HLRAlgo_Array1OfPISeg::operator= | ( | const HLRAlgo_Array1OfPISeg & | Other | ) |
| inline

void HLRAlgo_Array1OfPISeg::SetValue | ( | const Standard_Integer | Index,
|  | const HLRAlgo_PolyInternalSegment & | Value
| ) |  |

Standard_Integer HLRAlgo_Array1OfPISeg::Upper | ( |  | ) | const

const HLRAlgo_PolyInternalSegment& HLRAlgo_Array1OfPISeg::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- HLRAlgo_Array1OfPISeg.hxx